Bug 38262 - [Patch] htmlhelp transforms not installed with other transforms
Summary: [Patch] htmlhelp transforms not installed with other transforms
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dag-Erling Smørgrav
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-05-19 00:20 UTC by heath
Modified: 2002-10-30 15:14 UTC (History)
0 users

See Also:


Attachments
docbook-xsl.patch (4.60 KB, patch)
2002-05-19 00:20 UTC, heath
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description heath 2002-05-19 00:20:01 UTC
The htmlhelp stylesheets are installed in
{PORTDOCS}/share/doc/docbook-xsl/htmlhelp/
This causes problems if the stylesheet is being called because it includes
"../html/chunk.xsl" which is installed to ${PREFIX}/share/xsl/docbook.

Also htmlhelp.xsl had a problem in v1.50 that caused an error which was
fixed later in their CVS Repository.  Since they've only released a subsequent
"experimental" release, I've included the fix in my patch so that it now works
with the current version.

How-To-Repeat: Install the port and try using the htmlhelp.xsl stylesheet.
Comment 1 Ying-Chieh Liao freebsd_committer 2002-09-21 04:40:35 UTC
Responsible Changed
From-To: freebsd-ports->des

over to maintainer
Comment 2 Dag-Erling Smørgrav freebsd_committer 2002-10-30 15:14:29 UTC
State Changed
From-To: open->closed

Fixed, thanks.